"""
Main application for justCheckers

:copyright: Copyright 2004-2017, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: GPL v3+
"""

import logging
import os
import sys

from kivy.app import App
from kivy.logger import Logger

import justcheckers


LOG = logging.getLogger(__name__)


class JustCheckersApp(App):
    title = 'justCheckers'
    icon = 'images/icon.png'

    def on_start(self):
        log_system_and_game_info()
        super(JustCheckersApp, self).on_start()


def log_system_and_game_info():
    """Logs information about the game and system running the game."""
    Logger.info('justCheckers -- v{}'.format(justcheckers.__version__))

    message = 'I am running on {os}.\nMy screen is {height}x{width}'
    root_window = App.get_running_app().root_window

    os_sys = sys.platform
    if sys.platform == 'posix':
        os_name, _, _, _, os_arch = os.uname()
        os_sys = '{name} {arch}'.format(name=os_name, arch=os_arch)

    Logger.info(message.format(os=os_sys, height=root_window.height, width=root_window.width))


if __name__ == '__main__':
    JustCheckersApp().run()
